import request from '@/utils/request';

//获取左侧导航树
export function getCameraByArea(params:any){
  return request({
    url: '/basedata/substation-patroldevice/getCameraByArea' ,
    method: 'get',
    params:params
  });
}
//获取左侧导航树-主设备
export function getSubstationMainTree(params:any){
  return request({
    url: '/basedata/substation-maindevice/getSubstationMainTree' ,
    method: 'get',
    params:params
  });
}
export function getSubstationDeviceById(params:any){
  return request({
    url: '/basedata/substation-patroldevice/getSubstationDeviceById' ,
    method: 'get',
    params:params
  });
}
//紧急调用
export function setWorkingOfPatrolDevice(params:any){
  return request({
    url: '/basedata/substation-patroldevice/setWorkingOfPatrolDevice' ,
    method: 'post',
    params:params
  });
}
//
export function isUrgentRetrieval(params:any){
  return request({
    url: '/basedata/substation-patroldevice/isUrgentRetrieval' ,
    method: 'get',
    params:params
  });
}
//区域下声纹
export function getVoicePrintByArea(params:any){
  return request({
    url: '/basedata/substation-patroldevice/getVoicePrintByArea' ,
    method: 'get',
    params:params
  });
}
//分页查看声纹检测数据{}
export function getVoicePatrolPage(params:any){
  return request({
    url: '/basedata/voice-patrol-log/getVoicePatrolPage' ,
    method: 'get',
    params:params
  });
}
//升温录制
export function executeVoicePatrolTask(params:any){
  return request({
    url: '/basedata/voice-patrol-log/executeVoicePatrolTask' ,
    method: 'post',
    params:params
  });
}
// 预置位模板录入
export function importTemplateImage(params:any){
  return request({
    url: '/basedata/substation-patroldevice/importTemplateImage' ,
    method: 'get',
    params:params
  });
}
//预置位偏移检测
export function presetOffsetDetection(params:any){
  return request({
    url: '/basedata/substation-patroldevice/presetOffsetDetection' ,
    method: 'get',
    params:params
  });
}